انجمن‌های فارسی اوبونتو

کمک و پشتیبانی => سایر توزیع‌های گنو/لینوکس => نویسنده: mskf1383 در 07 فروردین 1401، 02:46 ب‌ظ

عنوان: سامانه‌ی گیکس
ارسال شده توسط: mskf1383 در 07 فروردین 1401، 02:46 ب‌ظ
سلام
با توجه به تغییرات مزخرف اوبونتو در آخرین نگارشش، تصمیم به مهاجرت گرفتم. اول می‌خواستم برم دبیان، ولی الان بین گیکس و دبیان موندم.
اول این که گیکس قلتان محسوب می‌شه؟
دوم این که از نظر پایداری چه‌طوره؟ برای استفاده‌ی روزمره.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: Dragon- در 07 فروردین 1401، 02:54 ب‌ظ
تجربه گیکس با بقیه توزیع‌ها خیلی متفاوته. دلیلش هم مدیربسته اون، guix هست.
غلتان حساب میشه.
فقط نرم‌افزار‌های آزاد توی مخزنش داره. از کرنل لینوکس لیبره استفاده می‌کنه.
اگه به درایور‌های انحصاری انویدیا یا firmware های انحصاری نیاز دارید، زیاد گزینه مناسبی نیست. چون اینها توی مخازنش پیدا نمیشن.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mskf1383 در 07 فروردین 1401، 03:21 ب‌ظ
ممنون از توضیحات.
فقط یه موردی که برای سؤاله اینه که بهتره نگارش پایدارش یعنی ۱٬۳ رو بگیرم و بعد به‌روز رسانی کنم، یا یهو همون آخرین نگارشش رو بگیرم؟
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 08 فروردین 1401، 02:39 ق‌ظ
سلام
با توجه به تغییرات مزخرف اوبونتو در آخرین نگارشش، تصمیم به مهاجرت گرفتم. اول می‌خواستم برم دبیان، ولی الان بین گیکس و دبیان موندم.
اول این که گیکس قلتان محسوب می‌شه؟
دوم این که از نظر پایداری چه‌طوره؟ برای استفاده‌ی روزمره.
کدوم تغییرات مزخرفش؟ خیلی بهتر شده که.
اگر اسنپ رو می‌گید که از قبل بوده خواستید بعد نصب با دوتا دستور به راحتی از کار میوفته.
و اگر منظورتون تم هاست که بنظرم حجم زیادی هم نمی‌گیره ولی به هر حال حالا یادم نیست یک بسته هست که تم های اوبونتو رو همراهش داره اگر اون رو پاک کنید تم ها هم حذف میشه.
و اگر لوگو رو می‌گید که مگه مسئله ی مهمیه؟؟
بجز اینا مشکل دیگری وجود داره؟
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: دانیال بهزادی در 08 فروردین 1401، 12:09 ب‌ظ
اگه به درایور‌های انحصاری انویدیا یا firmware های انحصاری نیاز دارید، زیاد گزینه مناسبی نیست. چون اینها توی مخازنش پیدا نمیشن.
توی مخزن nonguix هستن.

کدوم تغییرات مزخرفش؟ خیلی بهتر شده که.
فکر کنم منظورش برداشتن فایرفاکس از مخازن باشه که من هم به همین دلیل بعد از ۱۴ سال، کامل رفتم روی دبیان.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 08 فروردین 1401، 12:50 ب‌ظ
نقل‌قول
فکر کنم منظورش برداشتن فایرفاکس از مخازن باشه که من هم به همین دلیل بعد از ۱۴ سال، کامل رفتم روی دبیان
عع چرا ؟ 😐️
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: 🇮🇷 در 08 فروردین 1401، 02:10 ب‌ظ
توی مخزن nonguix هستن.
ببخشید آقای بهزادی، برای اینکه بتونیم از این مخزن استفاده کنیم، باید تغییر آی پی بدیم؟ راهی میشناسید که از این مخزن ب (https://github.com/nonguix/nonguix)ه جای تغییر آی پی؟ نیازه برای verification مخزن کاری انجام بدیم؟
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mskf1383 در 08 فروردین 1401، 03:48 ب‌ظ
متأسفانه موفق به نصبش نشدم  :'(
نصابش واقعاً افتضاحه!

توی مخزن nonguix هستن.
ببخشید آقای بهزادی، برای اینکه بتونیم از این مخزن استفاده کنیم، باید تغییر آی پی بدیم؟ راهی میشناسید که از این مخزن ب (https://github.com/nonguix/nonguix)ه جای تغییر آی پی؟ نیازه برای verification مخزن کاری انجام بدیم؟
نه نیازی نیست. فقط ازش صرف نظر کنید. اگر خیلی محتاطانه می‌خواید عمل کنید، خودتون مخزنش رو روی یک کارساز گیت دیگه فورک کنید.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: ali-n در 08 فروردین 1401، 04:12 ب‌ظ
نقل‌قول
نصابش واقعاً افتضاحه!
موافقم خودم موقع نصب هنگ کردم، بعد نصبشم مونده بودم اصلا بالا میاد یا نه :)

از نوع جدیدش خوشم اومد چون بالاخره یکم باید سبک قدیمی گنو لینوکس بروز و ساده تر بشه، ولی خب واقعا یجوری بود همه چی توی یه فایل نوشته میشه و کمی مسخرست! چرا نباید بتونم با دستور اضافه کردن کاربر نتونم کاربر جدیدی بسازم، و بجاش مجبور باشم اون‌همه نوشته بنویسم که تازه سازکارش هم بلد نیستم و واقعا برام گیج کننده بود و بنظرم اون فایلش خیلی بزرگ میشه اگه کاربر های زیاد یا تنظیمات زیاد داشته باشیم(نمیدونم شایدم بشه توی چند فایل نوشتش؟!؟!!)
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 08 فروردین 1401، 04:36 ب‌ظ
جناب دراگون گفتن که !
تجربه گیکس با بقیه توزیع ها خیلی متفاوته !
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: دانیال بهزادی در 08 فروردین 1401، 05:10 ب‌ظ
متأسفانه موفق به نصبش نشدم  :'(
نصابش واقعاً افتضاحه!
جفتشون نصاب‌های به شدت خوبی دارن! توی گیکس حتا می‌تونی موقع نصب بگی تور رو نصب و برای ادامه ازش استفاده کنه.


[/quote]
ببخشید آقای بهزادی، برای اینکه بتونیم از این مخزن استفاده کنیم، باید تغییر آی پی بدیم؟ راهی میشناسید که از این مخزن ب (https://github.com/nonguix/nonguix)ه جای تغییر آی پی؟ نیازه برای verification مخزن کاری انجام بدیم؟
بله. می‌تونی از اون هم استفاده کنی.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 08 فروردین 1401، 05:16 ب‌ظ
نقل‌قول
فکر کنم منظورش برداشتن فایرفاکس از مخازن باشه که من هم به همین دلیل بعد از ۱۴ سال، کامل رفتم روی دبیان.
جدا؟ یعنی فقط تو اسنپ پیدا میشه؟ شما دیگر اوبونتو رو توسعه نمی دید؟
این تصمیمات مزخرف رو کی گرفته؟
ولی با این حال من که فایرفاکس مخازن رو دارم.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mskf1383 در 08 فروردین 1401، 05:30 ب‌ظ
نقل‌قول
فکر کنم منظورش برداشتن فایرفاکس از مخازن باشه که من هم به همین دلیل بعد از ۱۴ سال، کامل رفتم روی دبیان.
جدا؟ یعنی فقط تو اسنپ پیدا میشه؟ شما دیگر اوبونتو رو توسعه نمی دید؟
این تصمیمات مزخرف رو کی گرفته؟
ولی با این حال من که فایرفاکس مخازن رو دارم.
از مخازن اوبونتوی ۲۲٫۰۴ حذف شده. فایرفاکس داخل مخازن، شما رو پاس می‌ده به اسنپ. مثل همین وضعی که کرومیم توی اوبونتوی کنونی داره.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 08 فروردین 1401، 05:40 ب‌ظ
مثل اینکه باید بریم با دبیان سر و کله بزنیم زین پس !
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: دانیال بهزادی در 08 فروردین 1401، 06:00 ب‌ظ
جدا؟ یعنی فقط تو اسنپ پیدا میشه؟ شما دیگر اوبونتو رو توسعه نمی دید؟
این تصمیمات مزخرف رو کی گرفته؟
بله. بله. چرا
توسعه‌دهندگان اوبونتو

مثل اینکه باید بریم با دبیان سر و کله بزنیم زین پس !
دبیان خیلی کم‌تر از اوبونتو نیاز به سر و کله زدن داره
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 08 فروردین 1401، 06:02 ب‌ظ
نقل‌قول
فکر کنم منظورش برداشتن فایرفاکس از مخازن باشه که من هم به همین دلیل بعد از ۱۴ سال، کامل رفتم روی دبیان.
جدا؟ یعنی فقط تو اسنپ پیدا میشه؟ شما دیگر اوبونتو رو توسعه نمی دید؟
این تصمیمات مزخرف رو کی گرفته؟
ولی با این حال من که فایرفاکس مخازن رو دارم.
از مخازن اوبونتوی ۲۲٫۰۴ حذف شده. فایرفاکس داخل مخازن، شما رو پاس می‌ده به اسنپ. مثل همین وضعی که کرومیم توی اوبونتوی کنونی داره.
من خودم توی همین نسخه فایرفاکس رو از مخازن نصب کردم!

جدا؟ یعنی فقط تو اسنپ پیدا میشه؟ شما دیگر اوبونتو رو توسعه نمی دید؟
این تصمیمات مزخرف رو کی گرفته؟
بله. بله. چرا
توسعه‌دهندگان اوبونتو
مگه میشه. اگر اوبونتو دست جامعه بود که اینقدر تغییرات مزخرف روش صورت نمی گرفت.
به هر حال کنونیکال هر بلایی بخواد سر اوبونتو میاره.
شما با این حال هنوز اوبونتو رو توسعه می‌دید؟ چرا؟
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mskf1383 در 08 فروردین 1401، 06:26 ب‌ظ
نقل‌قول
فکر کنم منظورش برداشتن فایرفاکس از مخازن باشه که من هم به همین دلیل بعد از ۱۴ سال، کامل رفتم روی دبیان.
جدا؟ یعنی فقط تو اسنپ پیدا میشه؟ شما دیگر اوبونتو رو توسعه نمی دید؟
این تصمیمات مزخرف رو کی گرفته؟
ولی با این حال من که فایرفاکس مخازن رو دارم.
از مخازن اوبونتوی ۲۲٫۰۴ حذف شده. فایرفاکس داخل مخازن، شما رو پاس می‌ده به اسنپ. مثل همین وضعی که کرومیم توی اوبونتوی کنونی داره.
من خودم توی همین نسخه فایرفاکس رو از مخازن نصب کردم!
این دستور رو بزنید تا معلوم بشه:
snap list
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 08 فروردین 1401، 06:32 ب‌ظ
نقل‌قول
فکر کنم منظورش برداشتن فایرفاکس از مخازن باشه که من هم به همین دلیل بعد از ۱۴ سال، کامل رفتم روی دبیان.
جدا؟ یعنی فقط تو اسنپ پیدا میشه؟ شما دیگر اوبونتو رو توسعه نمی دید؟
این تصمیمات مزخرف رو کی گرفته؟
ولی با این حال من که فایرفاکس مخازن رو دارم.
از مخازن اوبونتوی ۲۲٫۰۴ حذف شده. فایرفاکس داخل مخازن، شما رو پاس می‌ده به اسنپ. مثل همین وضعی که کرومیم توی اوبونتوی کنونی داره.
من خودم توی همین نسخه فایرفاکس رو از مخازن نصب کردم!
این دستور رو بزنید تا معلوم بشه:
snap list
البته الان که ندارم. الان اوبونتو ۲۱٫۱۰ دارم.
اون موقع که داشتم چک کردم.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: دانیال بهزادی در 09 فروردین 1401، 01:44 ق‌ظ
الآن یه هفته است که برداشته شده از مخازن خب!
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 09 فروردین 1401، 03:28 ق‌ظ
الآن یه هفته است که برداشته شده از مخازن خب!
واقعاً خودتون خندتون نمی گیره که این تصمیمات رو جامعه توسعه دهندگان گرفتن؟
وگرنه مگه فایرفاکس شاخشون می زنه که بیان حذفش کنن و نسخه اسنپی رو دیکته کنن به کاربر؟

با این حال حداقل فورکی از اوبونتو وجود داره که نواقصش رو برطرف کرده باشه با همون امکانات و ویژگی ها؟ (اگر نیست با همکاری هم خودمون بسازیمش  ;D)
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mobin1387 در 09 فروردین 1401، 02:41 ب‌ظ
الآن یه هفته است که برداشته شده از مخازن خب!
واقعاً خودتون خندتون نمی گیره که این تصمیمات رو جامعه توسعه دهندگان گرفتن؟
وگرنه مگه فایرفاکس شاخشون می زنه که بیان حذفش کنن و نسخه اسنپی رو دیکته کنن به کاربر؟

با این حال حداقل فورکی از اوبونتو وجود داره که نواقصش رو برطرف کرده باشه با همون امکانات و ویژگی ها؟ (اگر نیست با همکاری هم خودمون بسازیمش  ;D)
من خودم توصیه می‌کنم اگه اوبونتو رو نمی‌خواید از دبیان (یا devuan) استفاده کنید. اونقدر ها هم که بعضی ها جو می‌دن نصب و پیکربندیش سخت نیست!

پ.ن: من خودم الآن به جای اوبونتو سرور از devuan (بله درسته devuan با openrc) استفاده می‌کنم و واقعا راضی ترم. snap نداره و ناگهان جامعه توسعه‌دهندگان تصمیم نمی‌گیره که برنامه ای رو از مخازن حذف کنن و به snap منتقل کنن. نبود systemd هم باعث می‌شه که برای خواندن journal، کارساز (سرور) منفجر نشه :-) و همچنین حافظه کمتری مصرف بشه.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 09 فروردین 1401، 03:01 ب‌ظ
اگه روی دوان میشد گنوم داشت حتما منم نصب میکردم !
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mskf1383 در 09 فروردین 1401، 03:03 ب‌ظ
اگه روی دوان میشد گنوم داشت حتما منم نصب میکردم !
توی مخازنش که هست: https://pkginfo.devuan.org/cgi-bin/package-query.html?c=package&q=gnome=1:42+1
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 09 فروردین 1401، 03:07 ب‌ظ
واقعا ؟ من میخواستم نصبش کنم فقط گنوم فلش بک داشت !

توی دوان مث دبیان گنوم ۴۲ روی نسخه ناپایدارشه یا چی ؟
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mskf1383 در 09 فروردین 1401، 03:12 ب‌ظ
توی دوان مث دبیان گنوم ۴۲ روی نسخه ناپایدارشه یا چی ؟
احتمالاً
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 09 فروردین 1401، 03:22 ب‌ظ
حاضرم بپذیرم اپدیت های سنگینشو ! حتی چرت و پرتای اضافه گنوم رو !
اینجا سرعت رو ترجیح میدم ب وسواسم !
حالا یعنی واقعا openrc سریع تره از systemd ؟ محسوس ؟
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mobin1387 در 09 فروردین 1401، 09:18 ب‌ظ
اگه روی دوان میشد گنوم داشت حتما منم نصب میکردم !
کی گفته نمیشه؟
فقط تو نصابش نیست. (در نصاب آرتیکس هم نیست اما من در آرتیکس نصب کردم و کاملا راضیم)

میتونید با دستور زیر در devuan نصبش کنید:
sudo apt install task-gnome-desktop
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 09 فروردین 1401، 09:20 ب‌ظ
آقا ایول ! من که میرم دوان !

ولی اونجوری که من شنیده بودم ، میگفتن گنوم فقط با systemd و shepherd سازگاره !
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mobin1387 در 09 فروردین 1401، 09:24 ب‌ظ
حاضرم بپذیرم اپدیت های سنگینشو ! حتی چرت و پرتای اضافه گنوم رو !
اینجا سرعت رو ترجیح میدم ب وسواسم !
حالا یعنی واقعا openrc سریع تره از systemd ؟ محسوس ؟
سرعت بوت openrc در حالت استاندارد از systemd کمتره اما با یک تنظیم ساده میشه موازی کاری رو در OpenRC روشن کرد که طبق تجربه خودم (در آرتیکس) حتی از systemd هم سریع تر میشه.

برای فعال کردن موازی کاری در OpenRC، پرونده rc.conf رو در /etc/ باز کنید و اینجا رو پیدا کنید:
# Global OpenRC configuration settings

# Set to "YES" if you want the rc system to try and start services
# in parallel for a slight speed improvement. When running in parallel we
# prefix the service output with its name as the output will get
# jumbled up.
# WARNING: whilst we have improved parallel, it can still potentially lock
# the boot process. Don't file bugs about this unless you can supply
# patches that fix it without breaking other things!
#rc_parallel="NO"
...
سپس rc-parallel رو YES بزارید

تمام.

نکته مهم: برای گرفتن بهترین نتیجه از rc-parallel ، بهتره اسکریپت هاتون رو از sysvinit style به openrc-run تبدیل کنید
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 09 فروردین 1401، 09:53 ب‌ظ
دمت گرم !

میگم دوان هم ایزوی جدا برای نسخه ای همراه با ثابت افزار انحصاری داره ؟

نقل‌قول
نکته مهم: برای گرفتن بهترین نتیجه از rc-parallel ، بهتره اسکریپت هاتون رو از sysvinit style به openrc-run تبدیل کنید

این قسمت رو نفهمیدم !
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mobin1387 در 09 فروردین 1401، 11:26 ب‌ظ
نقل‌قول
نکته مهم: برای گرفتن بهترین نتیجه از rc-parallel ، بهتره اسکریپت هاتون رو از sysvinit style به openrc-run تبدیل کنید

این قسمت رو نفهمیدم !

پاسخ کوتاه: چیز خاصی نیست. کاربر نهایی نیاز نیست با اونها سروکله بزنه.

پاسخ بلند:
ببینید openrc از دو نوع اسکریپت پشتیبانی می‌کنه:

اسکریپت های بومی (OpenRC-run): این اسکریپت ها، همون طور که از اسمشون معلومه، به صورت بومی اجرا می‌شن. این نوع اسکریپت، سازگاری بهتری با ویژگی هایی مثل موازی کاری داره.

اسکریپت های غیر بومی (sysvinit): این اسکریپت ها، برای sysvinit نوشته شدند و openrc باید اونهارو با یکسری ابزار خاص اجرا کنه. این مسئله ممکنه باعث یکسری ناسازگاری با ویژگی هایی مثل موازی کاری بشه
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 09 فروردین 1401، 11:34 ب‌ظ
منظور چه اسکریپتی هست ؟ مثلا اسکریپتی که از اینترنت دانلود کنه طرف ؟ ( که من اصلا نمیکنم ! )
یا بش اسکریپتی اگر خودم بنویسم ؟ یا چی ؟
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mobin1387 در 09 فروردین 1401، 11:42 ب‌ظ
منظور چه اسکریپتی هست ؟ مثلا اسکریپتی که از اینترنت دانلود کنه طرف ؟ ( که من اصلا نمیکنم ! )
یا بش اسکریپتی اگر خودم بنویسم ؟ یا چی ؟
init، برای راه اندازی خدمات (services) و دیمن ها، اطلاعات مربوط به اون خدمت یا دیمن رو از روی یک اسکریپت init میخونه.
برای مثال این اسکریپت ها برای راه اندازی sshd در ۳ init استفاده میشه:

sysvinit:
#! /bin/sh

### BEGIN INIT INFO
# Provides: sshd
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop:
# Short-Description: OpenBSD Secure Shell server
### END INIT INFO

set -e

# /etc/init.d/ssh: start and stop the OpenBSD "secure shell(tm)" daemon

test -x /usr/sbin/sshd || exit 0
( /usr/sbin/sshd -\? 2>&1 | grep -q OpenSSH ) 2>/dev/null || exit 0

umask 022

if test -f /etc/default/ssh; then
    . /etc/default/ssh
fi

. /lib/lsb/init-functions

if [ -n "$2" ]; then
    SSHD_OPTS="$SSHD_OPTS $2"
fi

# Are we running from init?
run_by_init() {
    ([ "$previous" ] && [ "$runlevel" ]) || [ "$runlevel" = S ]
}

check_for_no_start() {
    # forget it if we're trying to start, and /etc/ssh/sshd_not_to_be_run exists
    if [ -e /etc/ssh/sshd_not_to_be_run ]; then
if [ "$1" = log_end_msg ]; then
    log_end_msg 0 || true
fi
if ! run_by_init; then
    log_action_msg "OpenBSD Secure Shell server not in use (/etc/ssh/sshd_not_to_be_run)" || true
fi
exit 0
    fi
}

check_dev_null() {
    if [ ! -c /dev/null ]; then
if [ "$1" = log_end_msg ]; then
    log_end_msg 1 || true
fi
if ! run_by_init; then
    log_action_msg "/dev/null is not a character device!" || true
fi
exit 1
    fi
}

check_privsep_dir() {
    # Create the PrivSep empty dir if necessary
    if [ ! -d /run/sshd ]; then
mkdir /run/sshd
chmod 0755 /run/sshd
    fi
}

check_config() {
    if [ ! -e /etc/ssh/sshd_not_to_be_run ]; then
# shellcheck disable=SC2086
/usr/sbin/sshd $SSHD_OPTS -t || exit 1
    fi
}

export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"

case "$1" in
  start)
check_privsep_dir
check_for_no_start
check_dev_null
log_daemon_msg "Starting OpenBSD Secure Shell server" "sshd" || true
# shellcheck disable=SC2086
if start-stop-daemon --start --quiet --oknodo --chuid 0:0 --pidfile /run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
    log_end_msg 0 || true
else
    log_end_msg 1 || true
fi
;;
  stop)
log_daemon_msg "Stopping OpenBSD Secure Shell server" "sshd" || true
if start-stop-daemon --stop --quiet --oknodo --pidfile /run/sshd.pid --exec /usr/sbin/sshd; then
    log_end_msg 0 || true
else
    log_end_msg 1 || true
fi
;;

  reload|force-reload)
check_for_no_start
check_config
log_daemon_msg "Reloading OpenBSD Secure Shell server's configuration" "sshd" || true
if start-stop-daemon --stop --signal 1 --quiet --oknodo --pidfile /run/sshd.pid --exec /usr/sbin/sshd; then
    log_end_msg 0 || true
else
    log_end_msg 1 || true
fi
;;

  restart)
check_privsep_dir
check_config
log_daemon_msg "Restarting OpenBSD Secure Shell server" "sshd" || true
start-stop-daemon --stop --quiet --oknodo --retry 30 --pidfile /run/sshd.pid --exec /usr/sbin/sshd
check_for_no_start log_end_msg
check_dev_null log_end_msg
# shellcheck disable=SC2086
if start-stop-daemon --start --quiet --oknodo --chuid 0:0 --pidfile /run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
    log_end_msg 0 || true
else
    log_end_msg 1 || true
fi
;;

  try-restart)
check_privsep_dir
check_config
log_daemon_msg "Restarting OpenBSD Secure Shell server" "sshd" || true
RET=0
start-stop-daemon --stop --quiet --retry 30 --pidfile /run/sshd.pid --exec /usr/sbin/sshd || RET="$?"
case $RET in
    0)
# old daemon stopped
check_for_no_start log_end_msg
check_dev_null log_end_msg
# shellcheck disable=SC2086
if start-stop-daemon --start --quiet --oknodo --chuid 0:0 --pidfile /run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
    log_end_msg 0 || true
else
    log_end_msg 1 || true
fi
;;
    1)
# daemon not running
log_progress_msg "(not running)" || true
log_end_msg 0 || true
;;
    *)
# failed to stop
log_progress_msg "(failed to stop)" || true
log_end_msg 1 || true
;;
esac
;;

  status)
status_of_proc -p /run/sshd.pid /usr/sbin/sshd sshd && exit 0 || exit $?
;;

  *)
log_action_msg "Usage: /etc/init.d/ssh {start|stop|reload|force-reload|restart|try-restart|status}" || true
exit 1
esac

exit 0
OpenRC:
#!/sbin/openrc-run

name=$RC_SVCNAME
description="OpenBSD Secure Shell server"
supervisor="supervise-daemon"
command="/usr/sbin/sshd"
command_args="-D $SSHD_OPTS"
SSHD_OPTS=""

depend() {
after net auditd
}

start_pre() {
ebegin "Preloading sshd"
/usr/sbin/sshd -t
}

reload() {
ebegin "Reloading $RC_SVCNAME"
/usr/sbin/sshd -t
/bin/kill -HUP $MAINPID
eend $?
}
SystemD:
[Unit]
Description=OpenBSD Secure Shell server
Documentation=man:sshd(8) man:sshd_config(5)
After=network.target auditd.service
ConditionPathExists=!/etc/ssh/sshd_not_to_be_run

[Service]
EnvironmentFile=-/etc/default/ssh
ExecStartPre=/usr/sbin/sshd -t
ExecStart=/usr/sbin/sshd -D $SSHD_OPTS
ExecReload=/usr/sbin/sshd -t
ExecReload=/bin/kill -HUP $MAINPID
KillMode=process
Restart=on-failure
RestartPreventExitStatus=255
Type=notify
RuntimeDirectory=sshd
RuntimeDirectoryMode=0755

[Install]
WantedBy=multi-user.target
Alias=sshd.service
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 09 فروردین 1401، 11:44 ب‌ظ
الآن یه هفته است که برداشته شده از مخازن خب!
واقعاً خودتون خندتون نمی گیره که این تصمیمات رو جامعه توسعه دهندگان گرفتن؟
وگرنه مگه فایرفاکس شاخشون می زنه که بیان حذفش کنن و نسخه اسنپی رو دیکته کنن به کاربر؟

با این حال حداقل فورکی از اوبونتو وجود داره که نواقصش رو برطرف کرده باشه با همون امکانات و ویژگی ها؟ (اگر نیست با همکاری هم خودمون بسازیمش  ;D)
من خودم توصیه می‌کنم اگه اوبونتو رو نمی‌خواید از دبیان (یا devuan) استفاده کنید. اونقدر ها هم که بعضی ها جو می‌دن نصب و پیکربندیش سخت نیست!

پ.ن: من خودم الآن به جای اوبونتو سرور از devuan (بله درسته devuan با openrc) استفاده می‌کنم و واقعا راضی ترم. snap نداره و ناگهان جامعه توسعه‌دهندگان تصمیم نمی‌گیره که برنامه ای رو از مخازن حذف کنن و به snap منتقل کنن. نبود systemd هم باعث می‌شه که برای خواندن journal، کارساز (سرور) منفجر نشه :-) و همچنین حافظه کمتری مصرف بشه.
نه خودم دبیان داشتم. توزیعی می خوام که دقیقاً اوبونتو باشه ولی این ایرادات توش نباشه.
کدوم توزیع مثل اوبونتو و زوبونتو میزکار ویرایش شده خودش رو استفاده می کنه و هر ۶ ماه یک بار منتشر میشه و هرچیزی که اوبونتو داره رو اونم داره؟
دبیان که گنوم خام داره.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 09 فروردین 1401، 11:48 ب‌ظ
نقل‌قول
init، برای راه اندازی خدمات (services) و دیمن ها، اطلاعات مربوط به اون خدمت یا دیمن رو از روی یک اسکریپت init میخونه.
برای مثال این اسکریپت ها برای راه اندازی sshd در ۳ init استفاده میشه:

اصلا من کاری باید انجام بدم آیا ؟
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mobin1387 در 09 فروردین 1401، 11:52 ب‌ظ
نقل‌قول
init، برای راه اندازی خدمات (services) و دیمن ها، اطلاعات مربوط به اون خدمت یا دیمن رو از روی یک اسکریپت init میخونه.
برای مثال این اسکریپت ها برای راه اندازی sshd در ۳ init استفاده میشه:

اصلا من کاری باید انجام بدم آیا ؟
خیر. مگر مشکلی پیش بیاد که احتمالش ۱ درصده
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: Dragon- در 10 فروردین 1401، 12:03 ق‌ظ
نه خودم دبیان داشتم. توزیعی می خوام که دقیقاً اوبونتو باشه ولی این ایرادات توش نباشه.
کدوم توزیع مثل اوبونتو و زوبونتو میزکار ویرایش شده خودش رو استفاده می کنه و هر ۶ ماه یک بار منتشر میشه و هرچیزی که اوبونتو داره رو اونم داره؟
دبیان که گنوم خام داره.
لینوکس مینت شاید چیزی باشه که می‌خواهید. بر پایه اوبونتو هست ولی چیز‌هایی که اوبونتو به کاربر فرو می‌کنه رو به طور پیش‌فرض نداره.
snap نصب نیست، ولی می‌تونید نصبش کنید. فایرفاکس هم توی مخازنش داره.
با سه تا میزکار cinnamon xfce4 و mate دردسترسه.

لینوکس مینت نسخه دبیان هم هست. این یکی مبتنی بر دبیان پایدار هست، حدود ۱ هفته پیش نسخه جدید اون منتشر شد که  بر پایه دبیان ۱۱ هست.
ظاهر و نحوه کار با اون، شبیه لینوکس مینت معمولیه ولی چندین چیز کوچک فرق داره.
فقط با میزکار cinnamon هست. (بقیه میزکار‌ها توی مخازن هستند ولی احتمالا با نصب اونها، توزیع ناپایدار میشه)
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 10 فروردین 1401، 12:29 ق‌ظ
نه من گنوم می خوام. فکر کنم منظورم رو متوجه شده باشید، من دقیقا خود اوبونتو رو می خوام ولی نواقصش برطرف شده باشه.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 10 فروردین 1401، 12:31 ق‌ظ
نه من گنوم می خوام. فکر کنم منظورم رو متوجه شده باشید، من دقیقا خود اوبونتو رو می خوام ولی نواقصش برطرف شده باشه.
منجارو !
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: آرمان اسماعیلی در 10 فروردین 1401، 02:29 ق‌ظ
منظور چه اسکریپتی هست ؟ مثلا اسکریپتی که از اینترنت دانلود کنه طرف ؟ ( که من اصلا نمیکنم ! )
یا بش اسکریپتی اگر خودم بنویسم ؟ یا چی ؟
اسکریپت‌ها همون چیزایی هستن که systemd اومد و توسعه‌دهنده‌ها رو از شرشون نجات داد!
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mobin1387 در 10 فروردین 1401، 03:45 ق‌ظ
منظور چه اسکریپتی هست ؟ مثلا اسکریپتی که از اینترنت دانلود کنه طرف ؟ ( که من اصلا نمیکنم ! )
یا بش اسکریپتی اگر خودم بنویسم ؟ یا چی ؟
اسکریپت‌ها همون چیزایی هستن که systemd اومد و توسعه‌دهنده‌ها رو از شرشون نجات داد!
بسیار موافقم.
یکی از دلایل موفقیت systemd، سادگی در اسکریپت هاش بود. نوشتن اسکریپت برای sysvinit، فوق العاده سرطانه، مهم نیست برنامه تون ساده بود یا نیاز به پیکربندی های خاص داشت، به هر حال شما باید چند کیلومتر شل اسکریپت برای sysvinit می‌نوشتید. systemd اینطور نبود اگه برنامه ساده ای داشتید، چند خط اسکریپت .service کافی بود اگرهم برنامه‌تون نیاز به پیکربندی های خاص داشت، یکم اسکریپت بلندتر می‌شد.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 10 فروردین 1401، 03:51 ق‌ظ
نه من گنوم می خوام. فکر کنم منظورم رو متوجه شده باشید، من دقیقا خود اوبونتو رو می خوام ولی نواقصش برطرف شده باشه.
منجارو !
خب پس باید معیار هامو درست تر توضیح می دادم:
تمش Yaru باشه، تنظیماتش بخش appearance داشته باشه، بروزرسانی ها و درایور هارو بشه توش با برنامه software and updates مدیریت کرد، هر ۶ ماه یک بار منتشر بشه، مدیر بستش apt باشه، فایرفاکس توی مخازنش داشته باشه، داکش سمت چپ باشه، پس زمینش پس زمینه اوبونتو باشه.

خب در این حالت توزیعی وجود داره؟
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 10 فروردین 1401، 11:40 ق‌ظ
نه من گنوم می خوام. فکر کنم منظورم رو متوجه شده باشید، من دقیقا خود اوبونتو رو می خوام ولی نواقصش برطرف شده باشه.
منجارو !
خب پس باید معیار هامو درست تر توضیح می دادم:
تمش Yaru باشه، تنظیماتش بخش appearance داشته باشه، بروزرسانی ها و درایور هارو بشه توش با برنامه software and updates مدیریت کرد، هر ۶ ماه یک بار منتشر بشه، مدیر بستش apt باشه، فایرفاکس توی مخازنش داشته باشه، داکش سمت چپ باشه، پس زمینش پس زمینه اوبونتو باشه.

خب در این حالت توزیعی وجود داره؟
بنظرم خودت بسازش ! 😂
ولی من جات بودم از دبیان همچین چیزی در میاوردم !
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 10 فروردین 1401، 04:41 ب‌ظ
عه؟ پس می سازمش. پیش نیاز هاش برای یادگیری چیه؟
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: آرمان اسماعیلی در 10 فروردین 1401، 10:53 ب‌ظ
عه؟ پس می سازمش. پیش نیاز هاش برای یادگیری چیه؟
یه دبیان.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 11 فروردین 1401، 01:24 ق‌ظ
عه؟ پس می سازمش. پیش نیاز هاش برای یادگیری چیه؟
یه دبیان.
متوجه نشدم.
می خوام برای خودم اوبونتو رو ویرایش کنم و بخش هایی که گند زدن توش رو درست کنم.
مثلاً یک مخزن جدا بزارم و فایرفاکس رو خودم برای توزیع بهینه کنم.
بعد فایرفاکس رو پیشفرض از همون مخزن نصبش کنم.
بعد جوری تنظیمش کنم که با do-release-upgrade کار هایی که من می خوام انجام بشه که دوباره مشکلی پیش نیاد.
اسنپ هم پیش فرض غیرفعال کنم و یک بخش توی تنظیمات بزارم که بشه فعال و غیرفعالش کرد.
میشه بگید برای این موضوع چه چیزهایی رو باید یاد بگیرم که بتونم تین کار رو انجام بدم؟
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 11 فروردین 1401، 01:34 ق‌ظ
سال ها یادگرفتن برنامه نویسی چ زبان های سطح بالا چ پایین رو !
ولی منظور من و ارمان خان اینه که دبیان رو شبیه اوبونتو بکن !
تم yaru رو نصب کن روش ، توی گنوم ۴۲ دبیان sid ، تنظیمات بخش appearance رو داره و برنامه software & update هم نصبه ! مدیر بسته اپته و فایرفاکس هم تو مخازنه ، داکش هم با نصب افزونه می‌تونه مثل اوبونتو بشه و بکگراندم که مشخصه !
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 11 فروردین 1401، 01:58 ق‌ظ
مشکل اینجاست که دبیان با اوبونتو خیلی فرق می کنه.
بحث شخصی سازی نیست. وگرنه اون که همیشه میشه. (البته من برای نصب تم Yaru مجبور شدم برم از مخازن اوبونتو ۲۰٫۰۴ بسته مربوط به این تم رو دانلود کنم و نصب کنم چون هیچ جا گیر نیومد)

البته فکر نکنم برنامه نویسی بخواد آن چنان، چون فقط چند تا پیش فرض قراره تغییر بدم، برای فایرفاکس هم بالاخره چند نفر پیدا میشن بخوان بهم کمک کنن.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: سودو در 11 فروردین 1401، 02:20 ق‌ظ
فک نمیکنم راحت باشه و توزیع پایداری ازش دربیاد !
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: آرمان اسماعیلی در 11 فروردین 1401، 02:24 ق‌ظ
مشکل اینجاست که دبیان با اوبونتو خیلی فرق می کنه.
بحث شخصی سازی نیست. وگرنه اون که همیشه میشه. (البته من برای نصب تم Yaru مجبور شدم برم از مخازن اوبونتو ۲۰٫۰۴ بسته مربوط به این تم رو دانلود کنم و نصب کنم چون هیچ جا گیر نیومد)

البته فکر نکنم برنامه نویسی بخواد آن چنان، چون فقط چند تا پیش فرض قراره تغییر بدم، برای فایرفاکس هم بالاخره چند نفر پیدا میشن بخوان بهم کمک کنن.
انجام بده دیگه. سؤال کردن نداره. دست‌به‌کار شو.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 11 فروردین 1401، 02:59 ق‌ظ
شما راهنمایی کنید، من شروع می کنم.
من که نمی دونم روش انجام این کار ها چیه. خیلی هنر کنم بتونم فقط یک بسته آپدیت کنم. چیزی بلد نیستم.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: دانیال بهزادی در 11 فروردین 1401، 05:45 ق‌ظ
واقعاً خودتون خندتون نمی گیره که این تصمیمات رو جامعه توسعه دهندگان گرفتن؟
خنده که نه. یکی از بدترین جلسه‌هامون بود و کلی هم اعصاب خوردی و داد و بیداد داشت. ولی سنبهٔ موافقانش پرزورتر بود.

وگرنه مگه فایرفاکس شاخشون می زنه که بیان حذفش کنن و نسخه اسنپی رو دیکته کنن به کاربر؟
البته کرم از خود فایرفاکسه. درخواست موزیلا بود این مورد.

با این حال حداقل فورکی از اوبونتو وجود داره که نواقصش رو برطرف کرده باشه با همون امکانات و ویژگی ها؟ (اگر نیست با همکاری هم خودمون بسازیمش  ;D)
من که رفتم روی دبیان!

مشکل اینجاست که دبیان با اوبونتو خیلی فرق می کنه.
نه. اوبونتو دبیانه با یه سری پیکربندی متفاوت
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mskf1383 در 11 فروردین 1401، 12:16 ب‌ظ
مشکل اینجاست که دبیان با اوبونتو خیلی فرق می کنه.
نه اتفاقاً. من الان دبیان هستم،‌ تنها تفاوتی که حس می‌کنم اینه که موقع بالا اومدن سامانه، نشان دبیان نمایش داده می‌شه!
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: Dragon- در 13 فروردین 1401، 01:38 ق‌ظ
جفتشون نصاب‌های به شدت خوبی دارن! توی گیکس حتا می‌تونی موقع نصب بگی تور رو نصب و برای ادامه ازش استفاده کنه.
نصاب گیکس موقع پارتیشن‌بندی باگ داشت و درست کار نمی‌کرد.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: BiG در 13 فروردین 1401، 02:10 ق‌ظ
مشکل اینجاست که دبیان با اوبونتو خیلی فرق می کنه.
نه اتفاقاً. من الان دبیان هستم،‌ تنها تفاوتی که حس می‌کنم اینه که موقع بالا اومدن سامانه، نشان دبیان نمایش داده می‌شه!
نه یک سری چیزاش فرق داره وگرنه به راحتی می‌شد دبیان رو به اوبونتو تبدیل کرد یا بالعکس.
من توی خیلی کار ها توی دبیان به مشکل خوردم چون فرق داشتن.
یکیش همین توره، توی اوبونتو راحت نصب شد ولی توی دبیان حتی لاگ هارو هم نشون نمی داد، پل هم تنطیم کردم درست نصب شد.
کلا همون اوبونتو رو دوست دارم وگرنه اگر دبیان کافی بود که اوبونتو ساخته نمی‌شد.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: دانیال بهزادی در 13 فروردین 1401، 03:11 ق‌ظ
نصاب گیکس موقع پارتیشن‌بندی باگ داشت و درست کار نمی‌کرد.
من مشکلی نداشتم. گزارشش کردی؟

یکیش همین توره، توی اوبونتو راحت نصب شد ولی توی دبیان حتی لاگ هارو هم نشون نمی داد، پل هم تنطیم کردم درست نصب شد.
بستهٔ تور و رفتارش توی اوبونتو و دبیان دقیقاً یکسانن. اگه تفاوتی دیدی، مربوط به تفاوت نگارش تور می‌شه، نه تفاوت توزیع
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: mskf1383 در 13 فروردین 1401، 11:11 ق‌ظ
نصاب گیکس موقع پارتیشن‌بندی باگ داشت و درست کار نمی‌کرد.
من مشکلی نداشتم. گزارشش کردی؟
اتفاقاً من هم سر همون کلی گیر داشتم. البته مشکل حل شده بود؛ ولی بعد از انتشار نگارش ۱٫۳. آخرسر مجبور شدم نگارش توسعه‌ش رو بارگیری کنم.
عنوان: پاسخ : سامانه‌ی گیکس
ارسال شده توسط: ali-n در 13 فروردین 1401، 09:11 ب‌ظ
بنظر منم اونقدر فرق نیست، تورش هم خوب بود(مثل هم هستن دیگه) اگه نمیخوای بری دبیان که هیچی، اگه میخوای بری یکم بررسیش کن و ور برو کارش دستت میاد و میبینی فرق خاصی ندارن فقط اوبونتو یکم لقمه رو راحت تر میده دهنت(: مثلا درایور یه دکمه میزنی نصب میکنه و...، مثل اینه بگیم از فروشگاه گنوم برنامه نصب کردن خیلی فرق داره، ولی در واقع انگار فروشگاه گنوم بجای ما به apt دستور داده نصبش کنه🤷‍♂️ تازه اوبونتو نسخه نرم افزار ها و شباهت مخازنش خیلی خیلی شبیه دبیانه و تغییر خاصی نداره packages.debian.org
 (http://packages.debian.org)
https://packages.ubuntu.com/
 (https://packages.ubuntu.com/)